Bug 27592 - Link audio alerts to corresponding preference and back
Summary: Link audio alerts to corresponding preference and back
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-02 12:47 UTC by Owen Leonard
Modified: 2021-06-14 21:35 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch adds a link to the Audio Alerts page so that if audio alerts are disabled the user can follow a link directly to the corresponding system preference.
Version(s) released in:
21.05.00


Attachments
Bug 27592: Link audio alerts to corresponding preference and back (3.38 KB, patch)
2021-02-02 13:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27592: Link audio alerts to corresponding preference and back (3.43 KB, patch)
2021-02-25 03:06 UTC, David Nind
Details | Diff | Splinter Review
Bug 27592: Link audio alerts to corresponding preference and back (3.49 KB, patch)
2021-02-28 17:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-02-02 12:47:04 UTC
If the AudioAlerts system preference is disabled, an error on the Audio Alerts page warns the user that it must be enabled. If the user has the correct permissions this error should link directly to system preferences.

Similarly, in the AudioAlerts preference description there is a reference to the audio alerts page. There isn't a way to make this link dependent on permissions but I think the likelihood is good that a user with permission to edit preferences will be able to access Audio Alerts.
Comment 1 Owen Leonard 2021-02-02 13:04:36 UTC
Created attachment 116210 [details] [review]
Bug 27592: Link audio alerts to corresponding preference and back

This patch adds links from the audio alerts page to system preferences
and back.

To test, apply the patch and disable the "AudioAlerts" system
preference.

- Log in to the staff interface as a user with permission to access
  audio alerts and system preferences.
- Go to Administration -> Audio alerts.
- You should see an alert, "Audio alerts are disabled."
  - Test the link to system preferences. It should take you a
    preferences search which returns only "AudioAlerts."
- On the system preference page, test that the link to audio alerts
  works correctly.

- Disable audio alerts again.
- Log in to the staf interface as a user with permission to access audio
  alerts but WITHOUT permission to access system preferences.
- Go to Administration -> Audio alerts.
- You should see an alert, "Audio alerts are disabled."
- There should be no link to system preferences.
Comment 2 David Nind 2021-02-25 03:06:35 UTC
Created attachment 117288 [details] [review]
Bug 27592: Link audio alerts to corresponding preference and back

This patch adds links from the audio alerts page to system preferences
and back.

To test, apply the patch and disable the "AudioAlerts" system
preference.

- Log in to the staff interface as a user with permission to access
  audio alerts and system preferences.
- Go to Administration -> Audio alerts.
- You should see an alert, "Audio alerts are disabled."
  - Test the link to system preferences. It should take you a
    preferences search which returns only "AudioAlerts."
- On the system preference page, test that the link to audio alerts
  works correctly.

- Disable audio alerts again.
- Log in to the staf interface as a user with permission to access audio
  alerts but WITHOUT permission to access system preferences.
- Go to Administration -> Audio alerts.
- You should see an alert, "Audio alerts are disabled."
- There should be no link to system preferences.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-02-28 17:14:41 UTC
Created attachment 117414 [details] [review]
Bug 27592: Link audio alerts to corresponding preference and back

This patch adds links from the audio alerts page to system preferences
and back.

To test, apply the patch and disable the "AudioAlerts" system
preference.

- Log in to the staff interface as a user with permission to access
  audio alerts and system preferences.
- Go to Administration -> Audio alerts.
- You should see an alert, "Audio alerts are disabled."
  - Test the link to system preferences. It should take you a
    preferences search which returns only "AudioAlerts."
- On the system preference page, test that the link to audio alerts
  works correctly.

- Disable audio alerts again.
- Log in to the staf interface as a user with permission to access audio
  alerts but WITHOUT permission to access system preferences.
- Go to Administration -> Audio alerts.
- You should see an alert, "Audio alerts are disabled."
- There should be no link to system preferences.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-03-01 14:24:19 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-03-04 10:42:06 UTC
Enhancement not pushed to 20.11.x